[med-svn] [Git][med-team/hinge][master] 9 commits: Added Autopkgtest

Israel Komolehin (@Komolehin) gitlab at salsa.debian.org
Tue Jan 9 18:20:11 GMT 2024



Israel Komolehin pushed to branch master at Debian Med / hinge


Commits:
432b0f8e by Komolehin Israel Timilehin at 2024-01-08T08:27:01+00:00
Added Autopkgtest

- - - - -
155c77aa by Komolehin Israel Timilehin at 2024-01-08T09:20:00+00:00
Updated depends

- - - - -
81c55097 by Komolehin Israel Timilehin at 2024-01-09T14:37:28+00:00
Replicate upstream demo

- - - - -
c174ee0b by Komolehin Israel Timilehin at 2024-01-09T15:07:46+00:00
Updated autopkgtest

- - - - -
f1ddc368 by Komolehin Israel Timilehin at 2024-01-09T16:24:44+00:00
Updated autopkgtest

- - - - -
a22052b4 by Komolehin Israel Timilehin at 2024-01-09T16:56:14+00:00
Added superficial restriction

- - - - -
8a678ceb by Komolehin Israel Timilehin at 2024-01-09T17:34:40+00:00
Added README to document error

- - - - -
840be992 by Komolehin Israel Timilehin at 2024-01-09T17:50:59+00:00
Updated readme

- - - - -
ee7a7986 by Komolehin Israel Timilehin at 2024-01-09T18:01:42+00:00
Updated readme

- - - - -


3 changed files:

- + debian/tests/README.md
- + debian/tests/control
- + debian/tests/run-demo


Changes:

=====================================
debian/tests/README.md
=====================================
@@ -0,0 +1,6 @@
+## Hinge Autopkgtest
+
+- The test breaks at line 55 of `run-demo` due to `networkx` with the following error:
+- **AttributeError: 'DiGraph' object has no attribute 'node'. Did you mean: '_node'?**
+- Suggestions on resolving the error can be found [here](https://github.com/victorlei/smop/issues/165)
+


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,3 @@
+Tests: run-demo
+Depends: wget, hinge, seqtk
+Restrictions: superficial, allow-stderr
\ No newline at end of file


=====================================
debian/tests/run-demo
=====================================
@@ -0,0 +1,55 @@
+#!/bin/bash
+
+CUR_DIR=`pwd`
+
+if [ "$AUTOPKGTEST_TMP" = "" ]; then
+	AUTOPKGTEST_TMP=`mktemp -d /tmp/${pkg}-test.XXXX`
+
+	trap "rm -rf $AUTOPKG_TMP" 0 INT QUIT ABRT PIPE TERM
+
+fi
+
+mkdir -p "$AUTOPKGTEST_TMP"/tests
+
+cp -a "${CUR_DIR}"/utils/nominal.ini "$AUTOPKGTEST_TMP"/tests
+cp -a "${CUR_DIR}"/debian/tests/reads.fasta "$AUTOPKGTEST_TMP"/tests
+
+cd "$AUTOPKGTEST_TMP"/tests/
+
+
+# Download Data
+wget http://gembox.cbcb.umd.edu/mhap/raw/ecoli_p4_filtered.fastq.gz
+
+# Extract Data
+gunzip ecoli_p4_filtered.fastq.gz
+
+seqtk seq -a ecoli_p4_filtered.fastq > reads.fasta
+hinge correct-head reads.fasta reads.pb.fasta map.txt
+
+fasta2DB ecoli reads.fasta
+DBsplit -x500 -s100 ecoli     
+HPC.daligner -t5 ecoli | bash -v
+
+LAmerge ecoli.las ecoli.[1-5].las
+
+rm ecoli.*.las 
+DAScover -v -H10000 -mrepeat_mask ecoli.db ecoli.las
+DASqv -c100 ecoli ecoli.las
+
+# Run filter
+
+mkdir log
+hinge filter --db ecoli --las ecoli.las -x ecoli --config nominal.ini
+
+# Get maximal reads
+
+hinge maximal --db ecoli --las ecoli.las -x ecoli --config nominal.ini
+
+# Run layout
+
+hinge layout --db ecoli --las ecoli.las -x ecoli --config nominal.ini -o ecoli
+
+
+# Run postprocessing ( networkx version used is deprecated )
+
+# hinge clip ecoli.edges.hinges ecoli.hinge.list demo



View it on GitLab: https://salsa.debian.org/med-team/hinge/-/compare/1d7b155a759d8060ce76dd7ab63150d4dd9d41de...ee7a79860b1275f8e789d029936401adb09b5ee1

-- 
View it on GitLab: https://salsa.debian.org/med-team/hinge/-/compare/1d7b155a759d8060ce76dd7ab63150d4dd9d41de...ee7a79860b1275f8e789d029936401adb09b5ee1
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20240109/e090172f/attachment-0001.htm>


More information about the debian-med-commit mailing list